## org.eclipse.amp.amf.sd.gen.builder
Class XPandCodeGenTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.eclipse.amp.amf.sd.gen.builder.AbstractJavaSDTest
                  org.eclipse.amp.amf.sd.gen.builder.XPandCodeGenTest

All Implemented Interfaces:
  junit.framework.Test

    public class XPandCodeGenTest

extends AbstractJavaSDTest

Check basic code generation issues. Are system dynamic Java classes being generated? The tests in this class are very fragmentary. If there's a better way to test this, please go ahead.

Usually, you'll need to increase PermGenSpace to run this test! Use `-XX:MaxPermSize=128m` as VM argument.

Author:
  fei

Constructor Summary
`XPandCodeGenTest()`

Method Summary
`protected void` `setUp()`
`protected void` `tearDown()`
`void` `testAux()`
`void` `testAuxToFlowCon()`
`void` `testFlow()`
`void` `testMy()`
`void` `testSdModel()`
`void` `testStock()`
`void` `testStockToFlowCon()`

Methods inherited from class org.eclipse.amp.amf.sd.gen.builder.AbstractJavaSDTest
`checkNoCompilationErrors, countGeneratedTags, doGenerate, emptyProjectDir, getFileText`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPandCodeGenTest

    public XPandCodeGenTest()
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Overrides:
    `setUp` in class `junit.framework.TestCase`
  Throws:
    `java.lang.Exception`

### tearDown

    protected void tearDown()
                     throws java.lang.Exception

  Overrides:
    `tearDown` in class `junit.framework.TestCase`
  Throws:
    `java.lang.Exception`

### testMy

    public void testMy()
                throws java.io.IOException,
                       org.eclipse.core.runtime.CoreException

  Throws:
    `java.io.IOException`
    `org.eclipse.core.runtime.CoreException`

### testAux

    public void testAux()
                 throws java.io.IOException,
                        org.eclipse.core.runtime.CoreException

  Throws:
    `java.io.IOException`
    `org.eclipse.core.runtime.CoreException`

### testStock

    public void testStock()
                   throws java.io.IOException,
                          org.eclipse.core.runtime.CoreException

  Throws:
    `java.io.IOException`
    `org.eclipse.core.runtime.CoreException`

### testFlow

    public void testFlow()
                  throws java.io.IOException,
                         org.eclipse.core.runtime.CoreException

  Throws:
    `java.io.IOException`
    `org.eclipse.core.runtime.CoreException`

### testAuxToFlowCon

    public void testAuxToFlowCon()
                          throws java.io.IOException,
                                 org.eclipse.core.runtime.CoreException

  Throws:
    `java.io.IOException`
    `org.eclipse.core.runtime.CoreException`

### testStockToFlowCon

    public void testStockToFlowCon()
                            throws java.io.IOException,
                                   org.eclipse.core.runtime.CoreException

  Throws:
    `java.io.IOException`
    `org.eclipse.core.runtime.CoreException`

### testSdModel

    public void testSdModel()
                     throws java.io.IOException,
                            org.eclipse.core.runtime.CoreException

  Throws:
    `java.io.IOException`
    `org.eclipse.core.runtime.CoreException`